"Generate sitemap" option has empty help file

Bug #974855 reported by Kristina Hoeppner on 2012-04-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Aaron Wells
1.6
Medium
Aaron Wells
1.7
Medium
Aaron Wells
1.8
Medium
Aaron Wells
1.9
Medium
Aaron Wells

Bug Description

Mahara 1.5

The "Generate sitemap" option under "General settings" on /admin/site/options.php has a help button but no content.

Also, see https://bugs.launchpad.net/mahara/+bug/914490 - whoever picks this up may want to find or set up a mahara instance that's accessible to search engine crawlers. With the sitemaps now sitting in dataroot, we need to put some extra instructions for the server admin into the help file, to let them know how to set up robots.txt, etc. A bit of testing would be useful to make sure we don't put lies in there.

Changed in mahara:
status: New → Triaged
importance: Undecided → Low
milestone: none → 1.6.0
Changed in mahara:
milestone: 1.6.0 → 1.7.0
Aaron Wells (u-aaronw) on 2013-04-19
Changed in mahara:
milestone: 1.7.0 → 1.8.0
Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.8rc1 → 1.8.0
Aaron Wells (u-aaronw) wrote :

Verified the help file is still missing in 1.8

Changed in mahara:
milestone: 1.8.0 → 1.8.1
Stacey Walker (stacey) wrote :

Can we make this higher priority please? It's not clear to administrators how to use this feature when enabling it.

Aaron Wells (u-aaronw) on 2013-12-11
Changed in mahara:
importance: Low → Medium
Aaron Wells (u-aaronw) wrote :

Hi Stacey,

I've submitted a patch for this: https://reviews.mahara.org/2791

Please check it out. It turns out the URL for the sitemap index is "{$CFG->wwwroot}/download.php?type=sitemap", and that doesn't appear to be documented or linked to anywhere. So, I'd like to include that in the helpfile, but unfortunately our help files are currently completely static. So, I just made it say [your site]/download.php?type/sitemap . Do you think that'll be clear enough?

Cheers,
Aaron

Reviewed: https://reviews.mahara.org/2791
Committed: http://gitorious.org/mahara/mahara/commit/acabfc929fa504d7e502aaa8717ca8e8a8783480
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit acabfc929fa504d7e502aaa8717ca8e8a8783480
Author: Aaron Wells <email address hidden>
Date: Thu Dec 12 11:29:05 2013 +1300

Writing a helpfile for "generate sitemap"

Bug 974855: It's not great that the helpfile doesn't actually contain the URL for your sitemap,
but we'd need to implement the ability to put parameters or variables into help files to make that happen.

Change-Id: I7cc414510ffe78432a4e21d61a829f67ff1d9929

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2796
Committed: http://gitorious.org/mahara/mahara/commit/c113989fb4c79de7c6806a36d61a512e6e5551e6
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit c113989fb4c79de7c6806a36d61a512e6e5551e6
Author: Aaron Wells <email address hidden>
Date: Thu Dec 12 11:29:05 2013 +1300

Writing a helpfile for "generate sitemap"

Bug 974855: It's not great that the helpfile doesn't actually contain the URL for your sitemap,
but we'd need to implement the ability to put parameters or variables into help files to make that happen.

Change-Id: I7cc414510ffe78432a4e21d61a829f67ff1d9929

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2795
Committed: http://gitorious.org/mahara/mahara/commit/48ad8ef3a3a9291641d7b63c76eb360e61147f45
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit 48ad8ef3a3a9291641d7b63c76eb360e61147f45
Author: Aaron Wells <email address hidden>
Date: Thu Dec 12 11:29:05 2013 +1300

Writing a helpfile for "generate sitemap"

Bug 974855: It's not great that the helpfile doesn't actually contain the URL for your sitemap,
but we'd need to implement the ability to put parameters or variables into help files to make that happen.

Change-Id: I7cc414510ffe78432a4e21d61a829f67ff1d9929

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2794
Committed: http://gitorious.org/mahara/mahara/commit/6ad43a71a6ed83100c273e6193c38a55bd8e2729
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.6_STABLE

commit 6ad43a71a6ed83100c273e6193c38a55bd8e2729
Author: Aaron Wells <email address hidden>
Date: Thu Dec 12 11:29:05 2013 +1300

Writing a helpfile for "generate sitemap"

Bug 974855: It's not great that the helpfile doesn't actually contain the URL for your sitemap,
but we'd need to implement the ability to put parameters or variables into help files to make that happen.

Change-Id: I7cc414510ffe78432a4e21d61a829f67ff1d9929

Aaron Wells (u-aaronw) on 2013-12-18
Changed in mahara:
status: Fix Committed → Fix Released
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers